FROM quay.io/centos/centos:stream8

USER root
WORKDIR /opt/create_yum_repo

COPY jfrog-cli.repo jfrog_public_gpg.key /etc/yum.repos.d/
RUN rpm --import /etc/yum.repos.d/jfrog_public_gpg.key

RUN dnf install -y createrepo_c \
                   krb5-devel \
                   python39-pip \
                   python39-devel \
                   tree \
                   diffutils \
                   git \
                   gcc \
                   jfrog-cli-v2-jf \
                   'dnf-command(download)'

COPY *requirements.txt .
RUN pip3 install --no-cache-dir awscli -r requirements.txt -r test_requirements.txt

COPY . .
RUN pip3 install .
